Spree SDK
Remove item from wishlist
DELETE
Spree SDK
Authorizations
Publishable API key for store access
JWT token for authenticated customers
Response
item removed
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
await client.wishlists.items.delete('wl_abc123', 'wi_abc123', {
token: '<token>',
})curl --request DELETE \
--url http://{defaultHost}/api/v3/store/wishlists/{wishlist_id}/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"error": {
"code": "record_not_found",
"message": "Wishlist item not found"
}
}import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
await client.wishlists.items.delete('wl_abc123', 'wi_abc123', {
token: '<token>',
})curl --request DELETE \
--url http://{defaultHost}/api/v3/store/wishlists/{wishlist_id}/items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"error": {
"code": "record_not_found",
"message": "Wishlist item not found"
}
}Publishable API key for store access
JWT token for authenticated customers
item removed
Was this page helpful?
